Skip to main content
POST
Python (ticksupply library)

Authorizations

X-Api-Key
string
header
required

Your API key. Get one from the dashboard at https://app.ticksupply.com/api-keys

Headers

Idempotency-Key
string<uuid>

Unique key for idempotent requests. If you retry a request with the same key, you'll receive the original response without the operation being performed again.

Must be a valid UUID (any version — v4 recommended for uniqueness), up to 128 characters.

Maximum string length: 128

Body

application/json
datastream_id
integer<int64>
required

Datastream ID to subscribe to

Response

Subscription created successfully

id
string
required

Prefixed subscription ID (e.g., sub_550e8400e29b41d4a716446655440000)

Pattern: ^sub_[a-f0-9]{32}$
Example:

"sub_550e8400e29b41d4a716446655440000"

status
enum<string>
required

Current subscription status

Available options:
active,
paused,
deleted
datastream
object
required

Simplified datastream information for catalog queries

created_at
string<date-time>
required

When the subscription was created

spans
object[]
required

Active and historical collection spans for the subscription. Always empty on the create response — call GET /v1/subscriptions/{id}/spans to retrieve the initial active span.

Last modified on April 17, 2026